aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joe Smith (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AURORA-978) Client should confirm it's running a valid version
Date Mon, 05 Jan 2015 19:58:35 GMT

     [ https://issues.apache.org/jira/browse/AURORA-978?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Joe Smith updated AURORA-978:
-----------------------------
    Description: 
Right now there's no validation for client version, although there is a check for API compatibility.

Since someone could have received an older client and failed to have it updated, we should
consider an additional check which confirms accepted client versions, and prints a message
+ update instructions if not.

  was:
Right now there's no validation for client version, although there is a check for API compatibility.

Since someone could have received an older client and failed to have it updated, we should
consider an additional check which confirms accepted client versions, and prints a message
+ update instructions if not (or even more rad would be to self-update if possible)


> Client should confirm it's running a valid version
> --------------------------------------------------
>
>                 Key: AURORA-978
>                 URL: https://issues.apache.org/jira/browse/AURORA-978
>             Project: Aurora
>          Issue Type: Story
>          Components: Client, Reliability
>            Reporter: Joe Smith
>
> Right now there's no validation for client version, although there is a check for API
compatibility.
> Since someone could have received an older client and failed to have it updated, we should
consider an additional check which confirms accepted client versions, and prints a message
+ update instructions if not.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message